<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
	$Id: 001to010.xsl,v 1.1 2004/08/25 01:19:19 acidos Exp $
-->

<xsl:template match="firewall">
	<firewall>
	<xsl:copy-of select="macros/macro"/>
	<xsl:apply-templates select="normalization/scrub"/>
	<xsl:apply-templates select="filtering/rule"/>
	</firewall>
</xsl:template>

<xsl:template match="normalization/scrub">
	<xsl:copy>
		<xsl:apply-templates select="@random-id"/>
		<xsl:apply-templates select="@no-df"/>
		<xsl:apply-templates select="@max-mss"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="@random-id">
	<xsl:attribute name="randomid">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@no-df">
	<xsl:attribute name="nodf">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="@max-mss">
	<xsl:attribute name="maxmss">
		<xsl:value-of select="."/>
	</xsl:attribute>
</xsl:template>

<xsl:template match="rule">
	<rule num="{@num}" option="{@option}">
		<xsl:if test="@direction">
			<xsl:attribute name="direction">
				<xsl:value-of select="@direction"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@log">
			<xsl:attribute name="log">
				<xsl:value-of select="@log"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@quick">
			<xsl:attribute name="quick">
				<xsl:value-of select="@quick"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@ip">
			<xsl:attribute name="ip">
				<xsl:value-of select="@ip"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@state">
			<xsl:attribute name="state">
				<xsl:value-of select="@state"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:if test="@interface">
			<xsl:element name="interface">
				<xsl:value-of select="@interface"/>
			</xsl:element>
		</xsl:if>
		<xsl:apply-templates select="from"/>
		<xsl:apply-templates select="to"/>
		<xsl:apply-templates select="protocols/proto"/>
		<xsl:apply-templates select="ports/port"/>
		<xsl:apply-templates select="users/user"/>
	</rule>
</xsl:template>

<xsl:template match="from | to">
	<xsl:copy>
		<xsl:value-of select="@address"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="proto">
	<xsl:copy>
		<xsl:value-of select="@type"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="port">
	<xsl:copy>
		<xsl:value-of select="@number"/>
	</xsl:copy>
</xsl:template>

<xsl:template match="user">
	<xsl:copy>
		<xsl:value-of select="@name"/>
	</xsl:copy>
</xsl:template>

</xsl:stylesheet>
